Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$0.01 / 1k products Extract product data — prices, variants, images, descriptions — from any Shopify-powered store URL

Endpoint

POST /api/v1/agents/shopify/products/run

Parameters

urls
array
required
List · Shopify store URLs (crawls all products) or individual product URLs. One per line.
maxResults
integer
default:50
Number · Number of products to scrape. Use 0 for all.

Response columns

FieldDisplay nameType
storeUrlStore URLurl
productUrlProduct URLurl
titleTitletext
brandBrandtext
categoriesCategoriestext
descriptionDescriptiontext
tagsTagstext
mediasTypeMedias Typetext
mediasUrlMedias URLurl
optionsTypeOptions Typetext
optionsValuesIdOptions Values IDtext
optionsValuesNameOptions Values Nametext
sourceCreatedUtcSource Created Utcinteger
sourceCurrencySource Currencytext
sourceLanguageSource Languagetext
sourcePublishedUtcSource Published Utcinteger
sourceRetailerSource Retailertext
sourceUpdatedUtcSource Updated Utcinteger
variantsIdVariants IDtext
variantsOptionsVariants Optionstext
variantsPriceCurrentVariants Price Currentinteger
variantsPricePreviousVariants Price Previousinteger
variantsPriceStockStatusVariants Price Stock Statustext
variantsSkuVariants SKUtext
variantsTitleVariants Titletext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/shopify/products/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "urls": [
      "<your-input>"
    ],
    "maxResults": 50
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "storeUrl": "https://undefeated.com/products/nike-x-renegade-vaporfly-4-brwnbasalt-hypercrimson",
      "productUrl": "https://undefeated.com/products/nike-x-renegade-vaporfly-4-brwnbasalt-hypercrimson",
      "title": "NIKE X RENEGADE VAPORFLY 4 - BRWNBASALT/ HYPERCRIMSON",
      "brand": "NIKE",
      "categories": [
        "Mens Footwear"
      ],
      "description": "Final Sale. No refunds, exchanges or cancellations",
      "tags": [
        "26.Q2.QS",
        "finalsale",
        "launch",
        "mens-footwear",
        "nike",
        "PGFW",
        "size-9-5"
      ],
      "mediasType": null,
      "mediasUrl": null,
      "optionsType": null,
      "optionsValuesId": null,
      "optionsValuesName": null,
      "sourceCreatedUtc": 1775236152000,
      "sourceCurrency": "USD",
      "sourceLanguage": "en",
      "sourcePublishedUtc": 1775311206000,
      "sourceRetailer": "NIKE",
      "sourceUpdatedUtc": 1775550172000,
      "variantsId": null,
      "variantsOptions": null,
      "variantsPriceCurrent": null,
      "variantsPricePrevious": null,
      "variantsPriceStockStatus": null,
      "variantsSku": null,
      "variantsTitle": null
    }
  ]
}